Bug 595695 - Direct links to RNs broken.
Summary: Direct links to RNs broken.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: docs-requests
Version: devel
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ruediger Landmann
QA Contact: Fedora Documentation Project
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-25 11:55 UTC by eric
Modified: 2012-08-31 20:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-31 20:10:35 UTC


Attachments (Terms of Use)

Description eric 2010-05-25 11:55:10 UTC
Description of problem:
* Previously, the release notes were located at http://docs.fedoraproject.org/release-notes/
* Their location has changed to release specific URLs.
* A link to the release notes is provided in fedora-bookmarks.
* fedora-bookmarks are imported by the browser only on *first launch* so as to not overwrite user modifications.

The new bookmarks layout causes two problems:
1. Nobody filed a fedora-bookmarks bug so Fedora 13 (and anyone on F-11 or F-12 etc) will default to going to http://docs.fedoraproject.org/release-notes/ which is a 404. Since the bookmarks can only be imported on first launch, we cannot push an update to fix this if the user has launched the browser (which is extremely likely).
2. Even if I were to fix the bookmarks page to point directly to a specific release version (which again would take effect only if someone would yum update before launching Firefox), then if anyone updated to F-14, the bookmark would not change and would still point to e.g. F-13.

So, I do not think that we should put version specific information into our bookmarks URLs. To solve both of the above problems, I believe we should try to do some User-Agent detection and redirection. Fedora browsers have an RPM NVR attached to them.

For example:
Mozilla/5.0 (X11; U; Linux x86_64; es-ES; rv:1.9.2.4) Gecko/20100517 Fedora/3.6.4-1.fc13 Firefox/3.6.4

This tells us that the user's installed language is es-ES and it's a Fedora browser, specifically running F-13. We should then redirect queries to http://docs.fedoraproject.org/release-notes/ to http://docs.fedoraproject.org/es-ES/Fedora/13/html/Release_Notes/index.html

If we cannot figure any information out about the Fedora release or language (or there are no relnotes in that language), I propose the default redirect should be to the en-US version of the latest Fedora release notes.

Comment 1 eric 2010-05-25 11:55:50 UTC
Above ticket moved from https://fedorahosted.org/docs/ticket/1.

Comment 2 eric 2010-07-07 03:20:14 UTC
Rudi: Has this been remedied, now?

Comment 3 Ruediger Landmann 2010-07-07 03:44:09 UTC
Redirects are in place to take requests for generic titles and redirect them to the English HTML versions of the F13 documents, so:

http://docs.fedoraproject.org/release-notes/

redirects to 

http://docs.fedoraproject.org/en-US/Fedora/13/html/Release_Notes/

Since every version of the Release Notes is accessible from every documentation page now, I think this is basically fixed.

To complete the fix, I think we should remove the server-side redirects sooner rather than later so that the website's own logic can redirect visitors to documentation in their own languages.

Comment 4 eric 2010-07-07 12:32:48 UTC
Does the current website have such logic to do the redirect based on language?

Comment 5 Ruediger Landmann 2010-07-07 22:35:11 UTC
(In reply to comment #4)
> Does the current website have such logic to do the redirect based on language?    

Yes! That's been in place right from the start. It's the reason why we needed to implement the links to untranslated versions of the docs, since visitors with their locale set to (for example) Spanish were getting redirected to the Spanish menu and then not realising that books that had not been translated even existed at all.

Comment 6 eric 2010-07-08 14:35:26 UTC
Okay, so we are now ready to start removing the redirects?

Comment 7 Karsten Wade 2011-12-14 03:49:20 UTC
Removing myself for these bug components as I'm either no longer involved in that aspect of the project, or no longer care to watch this particular bug. Sorry if you are caught in a maelstrom of bug changes as a result!


Note You need to log in before you can comment on or make changes to this bug.